Package org.apache.calcite.avatica.util

# Class StructImpl

java.lang.Object
org.apache.calcite.avatica.util.StructImpl

All Implemented Interfaces:
  `Struct`

public class StructImpl extends Object implements Struct
Implementation of JDBC `Struct`.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static interface`
`StructImpl.Factory`
Factory that can create a result set based on a list of values.

## Constructor Summary

Constructors
Constructor
Description
`StructImpl(List list)`

## Method Summary

Modifier and Type
Method
Description
`Object[]`
`getAttributes()`
`Object[]`
`getAttributes(Map<String,Class<?>> map)`
`String`
`getSQLTypeName()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### StructImpl

public StructImpl(List list)

## Method Details

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### getSQLTypeName

public String getSQLTypeName() throws SQLException

Specified by:
  `getSQLTypeName` in interface `Struct`
Throws:
  `SQLException`

### getAttributes

public Object[] getAttributes() throws SQLException

Specified by:
  `getAttributes` in interface `Struct`
Throws:
  `SQLException`

### getAttributes

public Object[] getAttributes(Map<String,Class<?>> map) throws SQLException

Specified by:
  `getAttributes` in interface `Struct`
Throws:
  `SQLException`